Main Page Alphabetical List Compound List File List Compound Members Related Pages

# TFirstHitForm Class Reference

MDI-Child for the First-Hit-Raycaster. More...

`#include <MDIFirstHit.h>`

List of all members.

## Private Methods
void __fastcall | PaintGL ()
| PaintGL is redrawing the precalculated view in the OpenGL-Window - if the window size changes, PrepareGLWindow has to be called first to calculate the new aspect ratio.
void __fastcall | PrepareGLWindow ()
| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized.
void __fastcall | RayCast ()
| RayCast has to be called after one or more of the raycaster parameters have been changed.

## Detailed Description

MDI-Child for the First-Hit-Raycaster.

The First-Hit Raycaster terminates the Ray when a data value reaches a certain threshold, its primary use is the visualization of the iso-surface of this threshold. Since are no calculations besides the shading of the final surface and the gradient values can be precalculated, the first-hit-raycaster is one of the fastest visualization methods. Trilinear Fiiltering can be adjusted both for the Threshold Calculation (Hit) and the Gradient Calculation (Grad.). The adjustable detail level is the step length of the raycaster, with which the volume is scanned. With adaptive detail enabled, the step length is automatically reduced when the data value is near the Threshold.

Definition at line 40 of file MDIFirstHit.h.

## Member Function Documentation

void __fastcall TFirstHitForm::PrepareGLWindow | ( |  | ) | `[private]`

| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 139 of file MDIFirstHit.cpp. Referenced by PaintGL().

void __fastcall TFirstHitForm::RayCast | ( |  | ) | `[private]`

| RayCast has to be called after one or more of the raycaster parameters have been changed. The raycaster will reset all values and recalculate the whole viewing array again. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 171 of file MDIFirstHit.cpp. References rgb::b, rgb::g, rgb::r, vertex::x, vertex::y, and vertex::z.

The documentation for this class was generated from the following files:

- MDIFirstHit.h
- MDIFirstHit3.h
- MDIFirstHit.cpp
- MDIFirstHit3.cpp